## stk 4.4.3

=== debian/changelog ===
stk (4.4.3-2) unstable; urgency=low

  [ Felipe Sateler ]
  * Create object destination directory if not existant
  * Use autotools-dev helper instead of manually updating config.{sub,guess}
  * Use correct invocation to pass the rawwave path, also fix the destination

  [ Alessio Treglia ]
  * Don't compile local copies of rt{audio,midi} objects, link against
    the system-wide ones instead.
  * Update debian/copyright.
  * Add librt{audio,midi}-dev on libstk0-dev's Depends field (whenever
    available) and set up symbolic links properly to avoid distributing
    duplicate copies of Rt{Audio,Error,Midi}.h.
  * Add Multi-Arch support.

 -- Alessio Treglia <alessio@debian.org>  Tue, 24 Jan 2012 09:15:32 +0100

stk (4.4.3-1) unstable; urgency=low

  * New upstream release:
    - changed SINT24 to be lower 3 bytes of 32-bit word
    - bug fixes to vectorized tick functions in Effects classes
    - updated versions of RtAudio and RtMidi
    - fix to ADSR bugs
    - updates to the internal argument checking and reporting scheme
    - updates to Bowed class (thanks to Esteban Maestre!)
    - fixes for 24-bit support in FileRead and FileWrite
    - added WAVE_FORMAT_EXTENSIBLE support in FileWrite
    - added sample rate variable reading and writing for MAT-files in
      FileRead and FileWrite
  * Refresh patches.
  * Switch to format 3.0 (quilt) format.
  * Add .gitignore file.
  * Add debian/gbp.conf file.
  * Change my email address.
  * Update debian/copyright file.
  * Replace negated list of architectures with linux-any (Closes: #634627)
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 01 Sep 2011 13:23:45 +0200

stk (4.4.2-5) unstable; urgency=low

  * debian/rules: Consider each line executed in a subshell, really
    Closes: #569052

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 09 Apr 2010 11:09:24 +0200

stk (4.4.2-4) unstable; urgency=low

  * Install config.{guess,sub} into the right location (Closes: #569052).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 09 Apr 2010 03:09:31 +0200

stk (4.4.2-3) unstable; urgency=low

  * Drop symbols file.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 08 Feb 2010 11:37:05 +0100

stk (4.4.2-2) unstable; urgency=low

  * Change maintainer to Debian Multimedia Maintainers.
  * Add Vcs-* tags.
  * Disable realtime support on hurd,kfreebsd architecturess; providing ALSA
    and OSS support for those archs is now unnecessary.
  * Update config.{guess,sub} before calling configure script to prevent FTBFS
    on AVR32 (Closes: #568812).
  * Add symbols file.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 07 Feb 2010 15:18:48 +0100

stk (4.4.2-1) unstable; urgency=low

  * Adopting this (Closes: #547005).
  * New upstream release (Closes: #427294).
  * debian/control: versioned dependency of libstk0-dev on libstk0c2a, thanks
    to Ilya Barygin for the patch.
  * debian/control:
    - Replace Build-Depends on libjack0.100.0-dev with libjack-dev;
      Closes: #527437.
    - Set DMUA to yes.
    - Move libstk0-dev to libdevel section.
    - Move libstk0-doc to doc section.
    - Improve descriptions.
    - Replace build-dependendency on libreadline5-dev with libreadline-dev;
      Closes: #553861.
  * Swtich to debhelper 7 and quilt.
  * Drop cdbs.
  * Bump debian/compat.
  * Refresh and rename 01_makefile.patch -> 01-makefile.patch,
    drop all other patches, now unnecessary.
  * debian/libstk0-dev: Don't install static library file.
  * Fix stk-doc.doc-base as per spec.
  * debian/copyright:
    - Adjust format according to Debian DEP-5.
    - Add license text.
  * Install ReleaseNotes as upstream's changelog.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 06 Feb 2010 11:02:11 +0100

stk (4.2.0-10) unstable; urgency=low

  * QA upload.
  * Include patch from Martin Michlmayr to fix FTBFS with GCC 4.4.
    (Closes: #504965)
  * debian/control:
    + Make QA the maintainer.
    + Standards Version now 3.8.4 (No changes needed).
    + Add Homepage field.
    + Add ${misc:Depends} to all packages.
    + Build-Depend on debhelper 5 and bump compat to 5.
    + Add ${binary:Version} to libstk dependencies.
  * debian/copyright: Add (C) to copyright.
  * debian/stk.menu: Move to Applications category

 -- Kumar Appaiah <akumar@debian.org>  Sat, 30 Jan 2010 23:53:35 -0600

stk (4.2.0-9.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 4.3 (Closes: #417704).

 -- Luk Claes <luk@debian.org>  Sat, 15 Mar 2008 16:55:36 +0000

stk (4.2.0-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: fixed bashism (use of {,}). Closes: #378528.
  * Fixed FTBFS with gcc 4.3 (patch from Martin Michlmayr added
    as 01_includes_gcc43.patch). Closes: #417704.
  * Fixed debian/watch to read
    http://ccrma.stanford.edu/software/stk/download.html instead of directly
    trying to list the content of
    http://ccrma.stanford.edu/software/stk/release/. Closes: #449826.
  * Investigated FTBFS when built twice in a row. It was actually caused
    by cdbs' bug #387103, fixed in cdbs 0.4.48. I'm not build-depending
    on cdbs >= 0.4.48 since this bug doesn't prevent to build the package.
    Closes: #424233.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Wed, 16 Jan 2008 12:10:29 +0100

stk (4.2.0-9) unstable; urgency=low

  * acknowledged NMU
  * Standards version to 3.7.2

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Tue, 30 May 2006 11:33:39 +0200

stk (4.2.0-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Medium-urgency upload for RC bugfix
  * Rename libstk0c2 to libstk0c2a for the C++ mt allocator ABI transition,
    and conflict/replace libstk0c2 accordingly (closes: #339267).

 -- Steve Langasek <vorlon@debian.org>  Mon,  5 Dec 2005 16:39:10 -0800

stk (4.2.0-8) unstable; urgency=low

  * Added examples to libstk0-dev
  * Compiling with -O2 instead of -O3 (problems on mk68)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Thu, 15 Sep 2005 09:12:22 +0200


