=== debian/control ===
Source: stk
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 autoconf,
 autotools-dev,
 debhelper (>= 8.1.3~),
 libasound2-dev [linux-any],
 libjack-dev [linux-any],
 libreadline-dev,
 librtaudio-dev [linux-any],
 librtmidi-dev [linux-any]
Standards-Version: 3.9.2
Homepage: http://ccrma.stanford.edu/software/stk/
Vcs-Git: git://git.debian.org/pkg-multimedia/stk.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/stk.git

Package: libstk0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 librtaudio-dev [linux-any],
 librtmidi-dev [linux-any],
 libstk0c2a (= ${binary:Version}),
 ${misc:Depends}
Description: Sound Synthesis Toolkit (development files)
 The Sound Synthesis Toolkit is a C++ library with implementations
 of several sound synthesis algorithms, starting from Frequency
 Modulation, over Physical Modelling and others. It can be used
 as a library, but it also provides some nice software synthesizers.
 .
 This package provides the development files for the sound synthesis toolkit.

Package: libstk0c2a
Conflicts:
 libstk0,
 libstk0c2
Replaces:
 libstk0,
 libstk0c2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Sound Synthesis Toolkit
 The Sound Synthesis Toolkit is a C++ library with implementations
 of several sound synthesis algorithms, starting from Frequency
 Modulation, over Physical Modelling and others. It can be used
 as a library, but it also provides some nice software synthesizers.

Package: stk
Architecture: any
Depends:
 libstk0c2a (= ${binary:Version}),
 tk8.4,
 ${misc:Depends},
 ${shlibs:Depends}
Description: Sound Synthesis Toolkit (example applications)
 The Sound Synthesis Toolkit is a C++ library with implementations
 of several sound synthesis algorithms, starting from Frequency
 Modulation, over Physical Modelling and others. It can be used
 as a library, but it also provides some nice software synthesizers.
 .
 This package provides the example files for the sound synthesis toolkit.

Package: stk-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends}
Description: Sound Synthesis Toolkit (documentation)
 The Sound Synthesis Toolkit is a C++ library with implementations
 of several sound synthesis algorithms, starting from Frequency
 Modulation, over Physical Modelling and others. It can be used
 as a library, but it also provides some nice software synthesizers.
 .
 This package contains the documentation for the sound synthesis toolkit.
