=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

CONFIGURE_FLAGS =
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFIGURE_FLAGS += --with-jack --with-alsa --with-oss
else
CONFIGURE_FLAGS += --disable-realtime
endif

RAWWAVE_PATH = /usr/share/stk/rawwaves/

CONFIGURE_FLAGS += RAWWAVE_PATH=$(RAWWAVES)

%:
	dh $@ --with autotools_dev --parallel

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)
	mkdir -p src/Release

override_dh_installchangelogs:
	dh_installchangelogs doc/ReleaseNotes.txt

override_dh_install:
	dh_install -p libstk0-dev
	cd debian/libstk0-dev/usr/include/stk/ && \
		rm RtAudio.h RtError.h RtMidi.h
	dh_install --remaining-packages
