## stk 4.4.4

=== debian/changelog ===
stk (4.4.4-4) unstable; urgency=low

  * Remove stale delme file
  * Do not build stk demo on non-linux archs. Closes: #728079

 -- Felipe Sateler <fsateler@debian.org>  Wed, 30 Oct 2013 12:41:12 -0300

stk (4.4.4-3) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Tue, 09 Jul 2013 22:32:48 +0100

stk (4.4.4-2) experimental; urgency=low

  [ Felipe Sateler ]
  * Fix Typo: RAWWAVES -> RAWWAVE_PATH
  * Build shared library
  * File endian.h has moved to the root directory
  * Create demo Release folder, avoids build failure on git checkout
  * Do not patch generated makefiles, save a copy to restore at clean
  * Move aside RtAudio and RtMidi headers, they confuse the compiler.
    Closes: #707473.
  * Add myself to uploaders
  * Depend on tk, not tk8.4

  [ Alessio Treglia ]
  * Refresh patches
  * Fix VCS URLs.
  * Bump Standards.

 -- Felipe Sateler <fsateler@debian.org>  Mon, 20 May 2013 14:26:15 -0400

stk (4.4.4-1) experimental; urgency=low

  * New upstream release.
  * Bump {build-,}dependencies on rtaudio,rtmidi.
  * Bump debhelper to 9.
  * Refresh patches.
  * Update debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 03 Sep 2012 19:21:17 +0200
