=== debian/control ===
--- 
+++ 
@@ -3,28 +3,29 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>
+ Alessio Treglia <alessio@debian.org>,
+ Felipe Sateler <fsateler@debian.org>
 Build-Depends:
  autoconf,
  autotools-dev,
- debhelper (>= 8.1.3~),
+ debhelper (>= 9),
  libasound2-dev [linux-any],
  libjack-dev [linux-any],
  libreadline-dev,
- librtaudio-dev [linux-any],
- librtmidi-dev [linux-any]
-Standards-Version: 3.9.2
+ librtaudio-dev (>= 4.0.11~) [linux-any],
+ librtmidi-dev (>= 2.0.1~) [linux-any]
+Standards-Version: 3.9.4
 Homepage: http://ccrma.stanford.edu/software/stk/
-Vcs-Git: git://git.debian.org/pkg-multimedia/stk.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/stk.git
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/stk.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/stk.git
 
 Package: libstk0-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends:
- librtaudio-dev [linux-any],
- librtmidi-dev [linux-any],
+ librtaudio-dev (>= 4.0.11~) [linux-any],
+ librtmidi-dev (>= 2.0.1~) [linux-any],
  libstk0c2a (= ${binary:Version}),
  ${misc:Depends}
 Description: Sound Synthesis Toolkit (development files)
@@ -58,7 +59,7 @@
 Architecture: any
 Depends:
  libstk0c2a (= ${binary:Version}),
- tk8.4,
+ tk,
  ${misc:Depends},
  ${shlibs:Depends}
 Description: Sound Synthesis Toolkit (example applications)
