## stk 4.5.0

=== debian/changelog ===
stk (4.5.0-3) unstable; urgency=medium

  * Use autotools_dev again to get up-to-date config.{sub,guess}

 -- Felipe Sateler <fsateler@debian.org>  Thu, 10 Dec 2015 22:35:10 -0300

stk (4.5.0-2) unstable; urgency=medium

  * Release to unstable
  * Install missing include files SKINI.msg and SKINI.tbl (Closes: #805549)
  * Do not install Rt{Audio,Midi} files. (Closes: #750453)
  * Remove RtError link, that file is gone

 -- Felipe Sateler <fsateler@debian.org>  Thu, 10 Dec 2015 21:05:48 -0300

stk (4.5.0-1) experimental; urgency=medium

  * New upsteam release
  * Refresh patches.
  * Do not build static library as we do not ship it
  * Use dh-autoreconf to rebuild configure and friends
  * Rename library package for new soname
  * Fix install target for new soname scheme

 -- Felipe Sateler <fsateler@debian.org>  Fri, 27 Nov 2015 20:40:04 -0300

stk (4.4.4-6) unstable; urgency=medium

  * Team upload.
  * Rename packages for GCC 5 transition. (Closes: #799649)
  * debian/control:
    - Remove obsolete Conflicts and Replaces.
    - Bump Standards-Version to 3.9.6
  * debian/*.dirs: Removed, no longer needed.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 21 Sep 2015 19:34:34 +0200

stk (4.4.4-5) unstable; urgency=medium

  * Prepare for new rtaudio and rtmidi

 -- Felipe Sateler <fsateler@debian.org>  Mon, 09 Jun 2014 17:37:22 -0400
