=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
  Alessio Treglia <alessio@debian.org>,
  Felipe Sateler <fsateler@debian.org>
 Build-Depends:
- autoconf,
+ dh-autoreconf,
  autotools-dev,
  debhelper (>= 9),
  libasound2-dev [linux-any],
  libjack-dev [linux-any],
  libreadline-dev,
- librtaudio-dev (>= 4.0.11~) [linux-any],
- librtmidi-dev (>= 2.0.1~) [linux-any]
-Standards-Version: 3.9.4
+ librtaudio-dev (>= 4.1.1~ds0~) [linux-any],
+ librtmidi-dev (>= 2.1.0~) [linux-any]
+Standards-Version: 3.9.6
 Homepage: http://ccrma.stanford.edu/software/stk/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/stk.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/stk.git
@@ -26,7 +26,7 @@
 Depends:
  librtaudio-dev (>= 4.0.11~) [linux-any],
  librtmidi-dev (>= 2.0.1~) [linux-any],
- libstk0c2a (= ${binary:Version}),
+ libstk-4.5.0 (= ${binary:Version}),
  ${misc:Depends}
 Description: Sound Synthesis Toolkit (development files)
  The Sound Synthesis Toolkit is a C++ library with implementations
@@ -36,13 +36,7 @@
  .
  This package provides the development files for the sound synthesis toolkit.
 
-Package: libstk0c2a
-Conflicts:
- libstk0,
- libstk0c2
-Replaces:
- libstk0,
- libstk0c2
+Package: libstk-4.5.0
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -58,7 +52,7 @@
 Package: stk
 Architecture: any
 Depends:
- libstk0c2a (= ${binary:Version}),
+ libstk-4.5.0 (= ${binary:Version}),
  tk,
  ${misc:Depends},
  ${shlibs:Depends}
