=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 RAWWAVE_PATH = /usr/share/stk/rawwaves/
 
-CONFIGURE_FLAGS += RAWWAVE_PATH=$(RAWWAVE_PATH)
+CONFIGURE_FLAGS += RAWWAVE_PATH=$(RAWWAVE_PATH) --enable-shared --disable-static
 
 MOVE_FILES = include/RtAudio.h include/RtMidi.h include/RtError.h \
 	       projects/examples/libMakefile
@@ -24,7 +24,7 @@
 move_file = [ ! -f $(1) ] || mv $(1) $(2)
 
 %:
-	dh $@ --with autotools_dev --parallel
+	dh $@ --with autoreconf,autotools_dev --parallel
 
 override_dh_auto_configure:
 	for file in $(MOVE_FILES); do \
@@ -34,6 +34,10 @@
 	mkdir -p src/Release
 	mkdir -p projects/demo/Release
 
+incdir = $(CURDIR)/debian/tmp/usr/include/stk
+override_dh_auto_install:
+	dh_auto_install
+	rm $(incdir)/RtAudio* $(incdir)/RtMidi*
 
 override_dh_link:
 	dh_link
