=== debian/watch ===
version=3

http://ccrma.stanford.edu/software/stk/download.html .*/stk-(.*)\.tar\.gz
