## stk 4.5.2+dfsg

=== debian/changelog ===
stk (4.5.2+dfsg-5build1) bionic; urgency=medium

  * No-change rebuild against librtmidi4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 05 Nov 2017 06:45:34 +0000

stk (4.5.2+dfsg-5) unstable; urgency=medium

  * Use debian RAWWAVE_PATH in stk-demo. (Closes: #858895)
  * Fix link targets for RtAudio and RtMidi header files (Closes: #858957)

 -- Felipe Sateler <fsateler@debian.org>  Wed, 29 Mar 2017 10:39:43 -0300

stk (4.5.2+dfsg-4) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Replace stk menu with desktop file. (Closes: #708791)

  [ Felipe Sateler ]
  * Use the dpkg makefile snippet to get the architecture
  * Bump debhelper compat to 10

 -- Felipe Sateler <fsateler@debian.org>  Sat, 24 Dec 2016 15:15:56 -0300

stk (4.5.2+dfsg-3) unstable; urgency=medium

  * Use gbp pq for patch handling
  * Add include paths for newer rtaudio/rtmidi (Closes: #828950, #828954)
  * Do not override user-supplied CXXFLAGS

 -- Felipe Sateler <fsateler@debian.org>  Sat, 23 Jul 2016 11:34:09 -0400

stk (4.5.2+dfsg-2) unstable; urgency=medium

  [ Felipe Sateler ]
  * Do not remove Rt{Audio,Midi}, they are not installed anymore
  * Bump standards version
  * Only build demo program when realtime is enabled (Closes: #815509)
  * Remove stale files on clean

  [ Alexis Bienvenüe ]
  * Fix order of .o files (Closes: #822566)

 -- Felipe Sateler <fsateler@debian.org>  Thu, 12 May 2016 00:09:16 -0300

stk (4.5.2+dfsg-1) unstable; urgency=medium

  * New upstream release
    - Repack, add asio files to Files-Excluded. Closes: #823316
    - Drop 0006-Install-missing-include-files-SKINI.msg-and-SKINI.tb.patch,
      not needed anymore
  * Add upstream patch to fix SKINI renaming
  * Build doxygen docs on -indep targets.

 -- Felipe Sateler <fsateler@debian.org>  Wed, 11 May 2016 21:25:54 -0300
