=== debian/control ===
--- 
+++ 
@@ -1,20 +1,24 @@
 Source: stk
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Felipe Sateler <fsateler@debian.org>
 Build-Depends:
+ debhelper (>= 10)
+Build-Depends-Arch:
  dh-autoreconf,
  autotools-dev,
- debhelper (>= 9),
  libasound2-dev [linux-any],
  libjack-dev [linux-any],
  libreadline-dev,
  librtaudio-dev (>= 4.1.1~ds0~) [linux-any],
  librtmidi-dev (>= 2.1.0~) [linux-any]
-Standards-Version: 3.9.6
+Build-Depends-Indep:
+ doxygen
+Standards-Version: 3.9.8
 Homepage: http://ccrma.stanford.edu/software/stk/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/stk.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/stk.git
