=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,12 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
 
+DPKG_EXPORT_BUILDFLAGS = 1
+DEB_CPPFLAGS_MAINT_APPEND = -I/usr/include/rtmidi -I/usr/include/rtaudio
+
+include /usr/share/dpkg/default.mk
+
 CONFIGURE_FLAGS =
-DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 CONFIGURE_FLAGS += --with-jack --with-alsa --with-oss
@@ -13,6 +17,7 @@
 endif
 
 export STK_REALTIME
+
 
 RAWWAVE_PATH = /usr/share/stk/rawwaves/
 
@@ -26,7 +31,7 @@
 %:
 	dh $@ --with autoreconf,autotools_dev --parallel
 
-override_dh_auto_configure:
+override_dh_auto_configure-arch:
 	for file in $(MOVE_FILES); do \
 		$(call move_file , $${file}, $${file}.bak); \
 	done
@@ -34,10 +39,13 @@
 	mkdir -p src/Release
 	mkdir -p projects/demo/Release
 
-incdir = $(CURDIR)/debian/tmp/usr/include/stk
-override_dh_auto_install:
-	dh_auto_install
-	rm $(incdir)/RtAudio* $(incdir)/RtMidi*
+override_dh_auto_configure-indep:
+
+override_dh_auto_build-arch:
+	dh_auto_build
+
+override_dh_auto_build-indep:
+	cd doc/doxygen && doxygen
 
 override_dh_link:
 	dh_link
@@ -55,4 +63,6 @@
 	for file in $(MOVE_FILES); do \
 		$(call move_file, $${file}.bak, $${file}); \
 	done
+	rm -rf doc/html
+	rm -rf projects/demo/Release/ projects/examples/libMakefile src/Release/
