=== debian/watch ===
version=4

opts="repacksuffix=+dfsg, dversionmangle=s/\+dfsg\d*$//" \
	https://github.com/thestk/stk/releases \
	(?:.*?/)?v?(\d[\d.]*)\.tar\.gz
