## stk 4.6.1+dfsg

=== debian/changelog ===
stk (4.6.1+dfsg-3mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 01 Nov 2020 13:17:10 -0800

stk (4.6.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 05 Feb 2020 18:57:28 +0100

stk (4.6.1+dfsg-2) experimental; urgency=medium

  * Team upload.
  * debian/control: Fix version in Breaks+Replaces.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 03 Feb 2020 21:06:01 +0100

stk (4.6.1+dfsg-1) experimental; urgency=medium

  * Team upload

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org
  * Drop references to autoreconf: implied by debhelper compat 10
  * Fail to build if files are missing in packages
  * Refresh patches

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Dennis Braun ]
  * New upstream version 4.6.1+dfsg
  * d/control:
    + Bump debhelper-compat to 12
    + Bump standards version to 4.5.0
    + Bump package name for SOVERSION change
    + Use https protocol for the homepage
    + stk-doc: Add Multi-Arch: foreign
    + Drop autotools-dev from B-D
    + Set RRR: no
  * d/libstk0-dev.examples: Disable for now
  * d/rules: Drop dh arguments "--with autotools_dev --parallel"

  [ Sebastian Ramacher ]
  * debian/stk-doc.doc-base: Update documentation path
  * debian/control:
    - Remove obsolete Pre-Depends
    - Set correct section for libstk
  * debian/: Transition to libstk-dev
    libstk0 was removed from the archive ages ago.

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 01 Feb 2020 18:35:05 +0100
