=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: stk
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Felipe Sateler <fsateler@debian.org>
 Build-Depends:
- debhelper (>= 10)
+ debhelper-compat (= 12)
 Build-Depends-Arch:
- dh-autoreconf,
- autotools-dev,
  libasound2-dev [linux-any],
  libjack-dev [linux-any],
  libreadline-dev,
@@ -18,20 +16,23 @@
  librtmidi-dev (>= 2.1.0~) [linux-any]
 Build-Depends-Indep:
  doxygen
-Standards-Version: 3.9.8
-Homepage: http://ccrma.stanford.edu/software/stk/
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/stk.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/stk.git
+Standards-Version: 4.5.0
+Homepage: https://ccrma.stanford.edu/software/stk/
+Vcs-Git: https://salsa.debian.org/multimedia-team/stk.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/stk
+Rules-Requires-Root: no
 
-Package: libstk0-dev
+Package: libstk-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends:
  librtaudio-dev (>= 4.0.11~) [linux-any],
  librtmidi-dev (>= 2.0.1~) [linux-any],
- libstk-4.5.0 (= ${binary:Version}),
+ libstk-4.6.1 (= ${binary:Version}),
  ${misc:Depends}
+Breaks: libstk0-dev (<< 4.6.1+dfsg-1)
+Replaces: libstk0-dev (<< 4.6.1+dfsg-1)
 Description: Sound Synthesis Toolkit (development files)
  The Sound Synthesis Toolkit is a C++ library with implementations
  of several sound synthesis algorithms, starting from Frequency
@@ -40,10 +41,10 @@
  .
  This package provides the development files for the sound synthesis toolkit.
 
-Package: libstk-4.5.0
+Package: libstk-4.6.1
+Section: libs
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
@@ -56,7 +57,7 @@
 Package: stk
 Architecture: any
 Depends:
- libstk-4.5.0 (= ${binary:Version}),
+ libstk-4.6.1 (= ${binary:Version}),
  tk,
  ${misc:Depends},
  ${shlibs:Depends}
@@ -71,6 +72,7 @@
 Package: stk-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends}
 Description: Sound Synthesis Toolkit (documentation)
@@ -80,3 +82,13 @@
  as a library, but it also provides some nice software synthesizers.
  .
  This package contains the documentation for the sound synthesis toolkit.
+
+Package: libstk0-dev
+Section: oldlibs
+Architecture: any
+Multi-Arch: same
+Depends:
+ libstk-dev (= ${binary:Version}),
+ ${misc:Depends}
+Description: transitional package
+ This is a transitional package. It can safely be removed.
