=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 move_file = [ ! -f $(1) ] || mv $(1) $(2)
 
 %:
-	dh $@ --with autoreconf,autotools_dev --parallel
+	dh $@
 
 override_dh_auto_configure-arch:
 	for file in $(MOVE_FILES); do \
@@ -66,3 +66,10 @@
 	rm -rf doc/html
 	rm -rf projects/demo/Release/ projects/examples/libMakefile src/Release/
 
+
+override_dh_strip:
+	dh_strip -a --no-automatic-dbgsym	
+	
+override_dh_missing:
+	dh_missing --fail-missing
+
