## stk 4.6.2+dfsg

=== debian/changelog ===
stk (4.6.2+dfsg-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 16 Jun 2022 19:28:05 +0200

stk (4.6.2+dfsg-1) experimental; urgency=medium

  * Team upload.

  [ Felipe Sateler ]
  * Remove myself from uploaders

  [ Jenkins ]
  * Remove constraints unnecessary since buster

  [ Sebastian Ramacher ]
  * New upstream version 4.6.2+dfsg
    - libtstk-4.6.1 -> libstk-4.6.2
  * debian/control:
    - Remove transitional libstk0-dev package
    - Bump Standards-Version
  * debian/copyright: Update copyright years
  * debian/patches: Refresh patches
  * debian/: Bump debhelper compat to 13

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 10 Apr 2022 11:13:47 +0200
