=== debian/control ===
--- 
+++ 
@@ -1,22 +1,20 @@
 Source: stk
 Section: sound
 Priority: optional
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
- Felipe Sateler <fsateler@debian.org>
 Build-Depends:
- debhelper-compat (= 12)
+ debhelper-compat (= 13)
 Build-Depends-Arch:
  libasound2-dev [linux-any],
  libjack-dev [linux-any],
  libreadline-dev,
- librtaudio-dev (>= 4.1.1~ds0~) [linux-any],
- librtmidi-dev (>= 2.1.0~) [linux-any]
+ librtaudio-dev [linux-any],
+ librtmidi-dev [linux-any]
 Build-Depends-Indep:
  doxygen
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://ccrma.stanford.edu/software/stk/
 Vcs-Git: https://salsa.debian.org/multimedia-team/stk.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/stk
@@ -27,12 +25,10 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- librtaudio-dev (>= 4.0.11~) [linux-any],
- librtmidi-dev (>= 2.0.1~) [linux-any],
- libstk-4.6.1 (= ${binary:Version}),
+ librtaudio-dev [linux-any],
+ librtmidi-dev [linux-any],
+ libstk-4.6.2 (= ${binary:Version}),
  ${misc:Depends}
-Breaks: libstk0-dev (<< 4.6.1+dfsg-1)
-Replaces: libstk0-dev (<< 4.6.1+dfsg-1)
 Description: Sound Synthesis Toolkit (development files)
  The Sound Synthesis Toolkit is a C++ library with implementations
  of several sound synthesis algorithms, starting from Frequency
@@ -41,7 +37,7 @@
  .
  This package provides the development files for the sound synthesis toolkit.
 
-Package: libstk-4.6.1
+Package: libstk-4.6.2
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -57,7 +53,7 @@
 Package: stk
 Architecture: any
 Depends:
- libstk-4.6.1 (= ${binary:Version}),
+ libstk-4.6.2 (= ${binary:Version}),
  tk,
  ${misc:Depends},
  ${shlibs:Depends}
@@ -82,13 +78,3 @@
  as a library, but it also provides some nice software synthesizers.
  .
  This package contains the documentation for the sound synthesis toolkit.
-
-Package: libstk0-dev
-Section: oldlibs
-Architecture: any
-Multi-Arch: same
-Depends:
- libstk-dev (= ${binary:Version}),
- ${misc:Depends}
-Description: transitional package
- This is a transitional package. It can safely be removed.
