=== debian/rules ===
--- 
+++ 
@@ -47,10 +47,9 @@
 override_dh_auto_build-indep:
 	cd doc/doxygen && doxygen
 
-override_dh_link:
-	dh_link
 # Cleanup realtime-related files
 ifeq ($(STK_REALTIME),no)
+execute_after_dh_link:
 	rm -rf debian/stk/usr/share/menu
 	rm -rf debian/stk/usr/share/man
 endif
@@ -58,18 +57,9 @@
 override_dh_installchangelogs:
 	dh_installchangelogs doc/ReleaseNotes.txt
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	for file in $(MOVE_FILES); do \
 		$(call move_file, $${file}.bak, $${file}); \
 	done
 	rm -rf doc/html
 	rm -rf projects/demo/Release/ projects/examples/libMakefile src/Release/
-
-
-override_dh_strip:
-	dh_strip -a --no-automatic-dbgsym	
-	
-override_dh_missing:
-	dh_missing --fail-missing
-
