## stk 5.0.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
 Build-Depends:
- debhelper-compat (= 13)
+ debhelper-compat (= 13),
 Build-Depends-Arch:
  libasound2-dev [linux-any],
  libjack-dev [linux-any],
  libreadline-dev,
  librtaudio-dev [linux-any],
- librtmidi-dev [linux-any]
+ librtmidi-dev [linux-any],
 Build-Depends-Indep:
- doxygen
-Standards-Version: 4.6.1
+ doxygen,
+Standards-Version: 4.7.0
 Homepage: https://ccrma.stanford.edu/software/stk/
 Vcs-Git: https://salsa.debian.org/multimedia-team/stk.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/stk
@@ -27,8 +27,8 @@
 Depends:
  librtaudio-dev [linux-any],
  librtmidi-dev [linux-any],
- libstk-4.6.2 (= ${binary:Version}),
- ${misc:Depends}
+ libstk-5.0.0 (= ${binary:Version}),
+ ${misc:Depends},
 Description: Sound Synthesis Toolkit (development files)
  The Sound Synthesis Toolkit is a C++ library with implementations
  of several sound synthesis algorithms, starting from Frequency
@@ -37,13 +37,13 @@
  .
  This package provides the development files for the sound synthesis toolkit.
 
-Package: libstk-4.6.2
+Package: libstk-5.0.0
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
 Description: Sound Synthesis Toolkit
  The Sound Synthesis Toolkit is a C++ library with implementations
  of several sound synthesis algorithms, starting from Frequency
@@ -53,10 +53,10 @@
 Package: stk
 Architecture: any
 Depends:
- libstk-4.6.2 (= ${binary:Version}),
+ libstk-5.0.0 (= ${binary:Version}),
  tk,
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
 Description: Sound Synthesis Toolkit (example applications)
  The Sound Synthesis Toolkit is a C++ library with implementations
  of several sound synthesis algorithms, starting from Frequency
@@ -70,7 +70,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- ${misc:Depends}
+ ${misc:Depends},
 Description: Sound Synthesis Toolkit (documentation)
  The Sound Synthesis Toolkit is a C++ library with implementations
  of several sound synthesis algorithms, starting from Frequency
