## stk 5.0.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 cmake_minimum_required(VERSION 3.1) ##TODO: which version is better
 
 project(STK VERSION 4.6.1)
+set (CMAKE_CXX_STANDARD 11)
 
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})
 
@@ -10,8 +11,14 @@
 SET_PROPERTY(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Release" "Debug" "RelWithDebInfo" "MinSizeRel") 
 message("Build type: " ${CMAKE_BUILD_TYPE})
 
-set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O3 -DNDEBUG")
-set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -g -D_STK_DEBUG_ -D__RTAUDIO_DEBUG__ -D__RTMIDI_DEBUG__")
+if(MSVC)
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /clr")
+    set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /O2 /DNDEBUG")
+    set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} /Z7 /Ob0 /Od /RTC1 /D_ITERATOR_DEBUG_LEVEL=2 /D_STK_DEBUG_ /D__RTAUDIO_DEBUG__ /D__RTMIDI_DEBUG__")
+else()
+    set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O3 -DNDEBUG")
+    set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -g -D_STK_DEBUG_ -D__RTAUDIO_DEBUG__ -D__RTMIDI_DEBUG__")
+endif()
 
 if(${CMAKE_CXX_COMPILER_ID} STREQUAL GNU)
     message("GCC.")
@@ -29,6 +36,7 @@
 option(ENABLE_WASAPI "Enable Windows Audio Session API support (windows only)" OFF)
 # option(ENABLE_CORE "Enable CoreAudio API support (mac only)" ON)
 option(COMPILE_PROJECTS "Compile all the example projects" ON)
+option(INSTALL_HEADERS "Install headers" ON)
 
 include_directories("./include")
 file(GLOB STK_SRC "./src/*.cpp") # GLOB instead of GLOB_RECURSE as the asio depends on system
@@ -77,7 +85,6 @@
         # Tested under MSYS2 with Mingw64 toolchain
         #==============      WINDOWS      ================#
         message("Windows DETECTED!")
-
         link_libraries(winmm ole32 wsock32)
         add_definitions(-D__WINDOWS_MM__)
 
@@ -112,17 +119,27 @@
 if(NOT IS_BIG_ENDIAN)
   add_definitions(-D__LITTLE_ENDIAN__)
 endif()
-
+add_definitions(-D_USE_MATH_DEFINES)
+if(INSTALL_HEADERS)
+    file(GLOB STK_HEADERS "include/*.h")
+    install(FILES ${STK_HEADERS} DESTINATION include/stk)
+endif()
 #========================================#
 #========== Build the Library ===========#
 #========================================#
 if(BUILD_STATIC)
     add_library(stk STATIC ${STK_SRC} )
+    target_include_directories(stk PRIVATE include PUBLIC $<INSTALL_INTERFACE:include>)
+    set_target_properties(stk PROPERTIES PUBLIC_HEADER "${LIBSTK_HEADERS}")
+    list(APPEND STK_TARGETS stk)
 endif()
 
 if(BUILD_SHARED)
     add_library(stk_SHARED SHARED ${STK_SRC})
     set_target_properties(stk_SHARED PROPERTIES OUTPUT_NAME stk) # rename the shared library name
+    target_include_directories(stk_SHARED PRIVATE include PUBLIC $<INSTALL_INTERFACE:include>)
+    set_target_properties(stk_SHARED PROPERTIES PUBLIC_HEADER "${LIBSTK_HEADERS}")
+    list(APPEND STK_TARGETS stk_SHARED)
 endif()
 
 #========================================#
@@ -136,3 +153,15 @@
     add_subdirectory(projects/effects)
     add_subdirectory(projects/ragamatic)
 endif()
+
+#========================================#
+#========= Install ======================#
+#========================================#
+
+install(TARGETS ${STK_TARGETS} EXPORT stk-config
+	LIBRARY DESTINATION lib
+	ARCHIVE DESTINATION lib
+	RUNTIME DESTINATION bin
+	PUBLIC_HEADER DESTINATION include/stk)
+
+install(EXPORT stk-config DESTINATION lib/cmake/stk)
