=== debian/changelog ===
stk (5.0.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 24 Jun 2024 23:40:04 +0200

stk (5.0.1+dfsg-1~exp) experimental; urgency=medium

  * Team upload

  * New upstream version 5.0.1+dfsg
    (Closes: #1051564)

  [ IOhannes m zmölnig (Debian/GNU) ]
  * New upstream
    + Refresh patches
    + libstk-4.6.2 -> libstk-5.0.0
  * Apply 'wrap-and-sort -ast'
  * Update copyright information
    + Add 'licensecheck' target
    + Generate initial d/copyright_hints
    + Re-generate d/copyright_hints
    + Bump copyright dates
    + Add myself to copyright holders
  * Update watchfile
  * Add salsa-ci configuration
  * Add lintian-override
  * Bump standards version to 4.7.0

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 24 Jun 2024 23:39:17 +0200
