=== debian/rules ===
--- 
+++ 
@@ -63,3 +63,16 @@
 	done
 	rm -rf doc/html
 	rm -rf projects/demo/Release/ projects/examples/libMakefile src/Release/
+
+
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
+        debian/.*|.*\.raw|.*\.bmp|.*\.mid
+# licensecheck v1
+.PHONY: licensecheck
+licensecheck:
+	LANG=C.UTF-8 licensecheck \
+		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
+		--check '.*' --recursive --deb-machine --lines 0 * \
+		> debian/copyright_newhints
+	cmp debian/copyright_hints debian/copyright_newhints \
+		&& rm debian/copyright_newhints
