=== debian/watch ===
version=4
opts=searchmode=plain,\
 filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
 repacksuffix=+dfsg,\
 dversionmangle=auto \
    https://api.github.com/repos/thestk/stk/releases?per_page=100 \
    https://api.github.com/repos/thestk/stk/tarball/@ANY_VERSION@
